Package org.apache.lucene.sandbox.search

## Class PhraseWildcardQuery.TermStats

- java.lang.Object
- - org.apache.lucene.sandbox.search.PhraseWildcardQuery.TermStats

- Enclosing class:
    PhraseWildcardQuery

      public static class PhraseWildcardQuery.TermStats
      extends Object

  Accumulates the doc freq and total term freq.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected int` | `docFreq` |
    `protected BytesRef` | `termBytes` |
    `protected long` | `totalTermFreq` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `TermStats​(BytesRef termBytes)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addStats​(int docFreq, long totalTermFreq)` |
    `BytesRef` | `getTermBytes()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### termBytes

          protected final BytesRef termBytes

    - #### docFreq

          protected int docFreq

    - #### totalTermFreq

          protected long totalTermFreq

  - ### Constructor Detail

    - #### TermStats

          protected TermStats​(BytesRef termBytes)

  - ### Method Detail

    - #### getTermBytes

          public BytesRef getTermBytes()

    - #### addStats

          protected void addStats​(int docFreq,
                                  long totalTermFreq)